Bug 187927 - New port: security/obfsclient - Tor-managed pluggable transport client
Summary: New port: security/obfsclient - Tor-managed pluggable transport client
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on: 187926
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-25 11:20 UTC by Fabian Keil
Modified: 2014-08-23 14:43 UTC (History)
2 users (show)

See Also:


Attachments
file.shar (2.91 KB, text/plain)
2014-03-25 11:20 UTC, Fabian Keil
no flags Details
Updated security/obfsclient port (2.68 KB, text/plain)
2014-08-07 18:28 UTC, Fabian Keil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2014-03-25 11:20:02 UTC
obfsclient is a C++11 Tor-managed pluggable transport client
implementation of the following protocols:

obfs2 - The Twobfuscator
obfs3 - The Threebfuscator
ScrambleSuit - Experimental

WWW: https://github.com/yawning/obfsclient

--
This port depends on devel/liballium which I submitted as ports/187926.

Note that I'm intentionally not using the still-optional LICENSE "framework"
in my ports until it's properly maintained, documented and the legal aspects are clear. Please do not add LICENSE* goo to this port without discussing it with me first. Thanks.

Redports build logs are available at (the two failures are Redports' issues):
https://redports.org/buildarchive/20140325101115-28920/

Fix: Patch attached with submission follows:
Comment 1 John Marino freebsd_committer 2014-08-07 14:45:42 UTC
Hi, if you are still interested in having this port in FreeBSD, it may (or may not) need to be reworked to support stage, and it may need updating to other newer conventions such as "USES" which is expanding all time.
For staging, see http://lists.freebsd.org/pipermail/freebsd-ports-announce/2014-May/000080.html


Additionally, you need to provide some sort of quality assurance.    
In order of preference, we are looking for:

1) "poudriere testport" or "poudriere bulk -t" logs
2) Redports or tinderbox logs

Please provide an updated shar file and attach a test log.  Alternatively, please indicate if you are no longer interested in having this software in the Ports Collection and that we can close the PR.

Thanks!
Comment 2 Fabian Keil 2014-08-07 18:28:02 UTC
Created attachment 145462 [details]
Updated security/obfsclient port

The port builds without warnings on my 11.0-CURRENT system using DEVELOPER=yes.

My impression is that Redports doesn't support Uses=libtool yet,
but I'll look into this tomorrow.
Comment 3 John Marino freebsd_committer 2014-08-07 18:31:28 UTC
If you can't do the first two options, doing this:
https://www.freebsd.org/doc/en/books/porters-handbook/porting-testing.html

Is a (risky for us) third option that I'd accept.

Particularly interesting is output of make check-plist and make stage-qa
Comment 4 Adam Weinberger freebsd_committer 2014-08-23 14:43:53 UTC
Committed with modifications.